/**2.4.2 - 2026.06.19**/
- Updated: Support Class

/**2.4.1 - 2026.05.19**/
- Fix: Xe Finance API
- Updated: Conflict with theme Alukas
- Updated: Conflict with B2BKing pro
- Updated: Conflict with WooCommerce Stripe Payment Gateway

/**2.4.0 - 2026.04.24**/
- Updated: Optimize code
- Updated: Compatible with Checkout WC
- Updated: Compatible with Tiered Price Table for WC
- Updated: Compatible with new version of WooCommerce TM Extra Product Options (themeComplete)
- Added: Widget preview support within the Gutenberg editor.

/**2.3.13 - 2026.02.06**/
- Updated: Only specific conditional tags are supported in the “Conditional Tags” option.
- Update: Compatible with Fluentbooking

/**2.3.12 - 2025.12.05**/
- Fix: Conflict with WooCommerce Extra Product Options version 7.5 by ThemeHigh
- Fix: Problem when save product fixed price
- Fix: Conflict with WPC Name Your Price for WooCommerce
- Fix: Conflict reload ajax bundle price with WooCommerce Product Bundles by WooCommerce
- Update: Add custom currency flag
- Update: Add Shortcode woo_multi_currency_rates layout to display rate as table
- Update: Add Shortcode display current currency woo_multi_currency_current

/**2.3.11 - 2025.09.05**/
- Fix: Issue with High-Performance order storage
- Fix: Price issue with Tiered pricing table
- Update: New register Elementor widget hook
- Update: New External Geo API
- Update: Add new sidebar layout

/**2.3.10 - 2025.07.04**/
- Update: Remove WP Rocket dynamic cache functions
- Update: When auto detect set to Initial currency, user can change to other currency
- Fix: Product price collate display wrong currency

/**2.3.9 - 2025.06.16**/
- Update: Add new Price switcher style
- Update: Add option Fixed Schema Structure currency
- Update: Add option Data storage method for store currency data
- Update: Add option Initial currency

/**2.3.8 - 2025.04.11**/
- Update: Add new sidebar layout
- Update: Add display name color for new layout
- Update: Add top position setting for sidebar
- Update: Add Openexchangerates, Exchagerate API, Currencyapi Finance API
- Fix: Conflict with Learnpress and some addons of Learnpress

/**2.3.7 - 2025.02.28**/
- Update: Add filter 'wmc_previous_currency_cart_item_price' to format cart item price
- Update: Add compatible code with GIFT4U – Gift Cards All in One for Woo
- Update: Add setting description
- Update: Change ajax reload filter price code flow
- Fix: Conflict with WooCommerce Subscriptions

/**2.3.6 - 2024.12.21**/
- Fix: Conflict with WooCommerce Wholesale Prices Premium
- Fix: Conflict with WooCommerce Extra Product Options by ThemeHigh
- Update: Add setting to switch currency when user login

/**2.3.5 - 2024.10.28**/
- Fix: Finance API XE return wrong data
- Update: Add setting to change currency switcher layout
- Update: Add setting to change currency switcher color, background
- Update: Add setting to display product price collate in multiple currencies

/**2.3.4 - 2024.09.27**/
- Fix: Price issues with Wpfunnels
- Fix: Loading icon when update currency rate
- Fix: Currency symbol when filter price
- Fix: Compatible cache plugin by json when loading wc ajax
- Update: Add some setting description

/**2.3.3 - 2024.07.12**/
- Fix: Checkout issues when only one currency active
- Fix: Price issues with WPFunnels
- Fix: Price issues with WC Fields Factory
- Fix: Filter price issues with cache

/**2.3.2 - 2024.01.26**/
- Fix: Conflict with WooCommerce Amazon Pay
- Fix: Conflict with MotoPress WordPress Hotel Booking
- Fix: Shipping price issues with Toret PPL by Toret.cz
- Fix: Shipping country missing with custom checkout page
- Fix: Missing currency info in admin order
- Fix: Issues with Bookings For WooCommerce by WP Swings
- Fix: Issues with Subscriptions for WooCommerce by WP Swings
- Fix: Conflict with B2BKing by WebWizards
- Fix: Price Issues with WooCommerce Wholesale Prices
- Update: Add option to reload filter price
- Update: Add style for currency switcher widget
- Update: Add option to display Currency Symbol for Product Currency Price Switcher

/**2.3.1 - 2023.10.26**/
- Fix: Load bulk fixed price file error
- Fix: Decimal separator working with empty value
- Fix: Conflict with WooCommerce Loyalty Points and Rewards
- Update: Add filter wmc_switcher_display_currency_name to change display currency name

/**2.3.0 - 2023.10.10**/
- Fix: Issues with WPC Product Bundles for WooCommerce plugin by WPClever
- Fix: Finance API Wise change to sandbox development
- Fix: Status replaced when overridden by price when using Custom Stock Status
- Fix: Conflict with CheckoutWC option Template Loader Distraction Free Portal
- Fix: Conflict fixed price with Extra Product Options & Add-Ons for WooCommerce by ThemeComplete
- Fix: Conflict shipping price with Envia Shipping and Fulfillment
- Fix: Conflict fixed price in the invoice with Germanized for WooCommerce
- Fix: Conflict fixed price with Advanced Dynamic Pricing for WooCommerce by AlgolPlus
- Fix: Error when changing currency when checkout page not set
- Fix: Wrong COD price with WooCommerce Smart COD
- Update: Issues with WooCommerce Product Add-ons version 6.4 and higher
- Update: Add direction='top' param for widget shortcode plain_vertical to open select to top
- Update: Add MaxMind Geolocation Geo API to detect customer country
- Update: Add option to edit thousand separator and decimal separator for each currency
- Update: Add option to edit position of Currency Price Switcher
- Update: Compatible with High-Performance order storage (COT)

/**2.2.5 - 2023.06.08**/
- Fix: Currency value when active both PPOM and PPOM Pro
- Fix: Currency value with YITH WooCommerce Product Add-ons & Extra Options
- Fix: Tax value for order with YITH WooCommerce EU VAT, OSS & IOSS
- Fix: Error when an empty variation of variable product with fixed price

/**2.2.4 - 2023.05.24**/
- Fix: Calculate coupon again when change order currency in order edit page
- Fix: Calculate the coupon type of Sumo Subscriptions
- Fix: Finance API TransferWise change to Wise

/**2.2.3 - 2023.03.10**/
- Update: Add option allow other widget change currency when TranslatePress enable
- Update: Compatible with DHL Express Commerce
- Update: Remove filter woocommerce_cart_item_price in \AmeliaBooking\Infrastructure\WP\Integrations\WooCommerce\WooCommerceService class
- Update: Compatible with WooCommerce Product Add-ons - order item meta
- Fix: Compatible with WooCommerce Product Add-Ons Ultimate (Plugin Republic - product-extras-for-woocommerce)
- Fix: Compatible with WooCommerce Wholesale prices
- Update: Change currency belong to payment gateway as soon as customer select payment gateway
- Update: Shortcode currency convertor [woo_multi_currency_convertor]

/**2.2.2 - 2022.12.05**/
- Fixed: Auto detect currency with override by AJAX
- Fixed: Force variable type with PHP8

/**2.2.1 - 2022.11.29**/
- Update: Compatible with CTXFeed
- Update: Add Xe finance API
- Update: Add exclude exchange rate when enable fixed price
- Update: Add hook 'wmc_after_init_currency'

/**2.2.0 - 2022.10.13**/
- Fixed: Compatibility issues with WooCommerce TM Extra Product Options By ThemeComplete - Price not converting in cart when Cart Field Display is set to Advanced display
- Fixed: Compatibility issues with WPC Product Bundles for WooCommerce by WPClever
- Fixed: Bulk fixed price
- Fixed: "Use cache plugin" and approximate price
- Fixed: Flag css overridden by some themes
- Fixed: Compatibility issue with OrderBumps: WooCommerce Checkout Offers - WooFunnels
- Fixed: Convert refunded value in Analytics
- Update: Convert refund amount TeraWallet
- Update: Use cache plugin with override by JSON option
- Update: Add query args to product url when Google Listing & Ads push data to Google Merchant center
- Update: Compatible with WooCommerce Product Add-Ons Ultimate (Plugin Republic)

/**2.1.36 - 2022.05.20**/
- Fixed: Compatibility issues with WooCommerce TM Extra Product Options By ThemeComplete

/**2.1.35 - 2022.05.14**/
- Fixed: Compatibility issues with TeraWallet and UddoktaPay Gateway
- Fixed: Compatibility issues with Lumise
- Fixed: Fixed price(regular) not showing properly in some cases
- Fixed: Error when changing order currency(order edit) if fixed price is enabled but order product item does not have fixed price in target currency

/**2.1.34 - 2022.05.10**/
- Fixed: Unable to dismiss renew message in 2.1.33

/**2.1.33 - 2022.05.09**/
- Fixed: Deprecated _register_controls notice from Elementor 3.6
- Fixed: Compatibility issues with TeraWallet - credit not converted if order status is manually switched to paid statuses after payment; cashback conversion
- Fixed: Compatibility issues with Visual Products Configurator by ORION - linked options not converting
- Fixed: WPML - get fixed price of original product if the translated product does not have fixed price but the original product has
- Added: VillaTheme support - ability to hide recommended plugins list under the plugin settings
- Added: "Sync checkout currency" option - make currency changed by "Change currency follow" option remain for the current customer session as if it's switched by the customer via currency switcher widgets

/**2.1.32 - 2022.04.07**/
- Fixed: Compatibility issues with Flexible Shipping by WP Desk - do not convert INF
- Fixed: Compatibility issues with Visual Products Configurator by ORION
- Fixed: Compatibility issues with Woo Discount Rules plugin by Flycart(discount applied twice when "Display multi currencies" option is enabled in some cases)
- Fixed: View changelog from plugins page when a new version is available

/**2.1.31 - 2022.03.29**/
- Fixed: Compatibility issues with WooCommerce Name Your Price by Kathy Darling
- Fixed: Compatibility issues with LearnPress – WooCommerce Payment Methods Integration
- Fixed: Coupon is not automatically applied after changing order currency
- Updated: VillaTheme support

/**2.1.30 - 2022.03.19**/
- Updated: Support Class

/**2.1.29 - 2022.03.18**/
- Fixed: Compatibility issues with Learnpress when price of courses without sale price is converted twice

/**2.1.28 - 2022.03.11**/
- Fixed: Compatibility issues with Learnpress as some hooks are duplicated
- Fixed: Compatibility issues with Bookly
- Fixed: Compatibility issues with TeraWallet
- Improved: Currency sidebar UX on mobile
- Added: Option to use Geo API as Inherited from server

/**2.1.27 - 2022.03.03**/
- Fixed: Fixed price fields of shipping not showing in the previous version

/**2.1.26 - 2022.03.02**/
- Fixed: Compatibility issue with Learnpress(since 4.1.5)
- Improved: Currency bar UX
- Improved: WP rocket compatibility - mandatory cookies filter
- Added: Option to expand currency selector on clicking instead of hovering
- Added: Option to choose which currency should show to web crawler tools
- Added: Ability to choose dropdown icon type for dropdown currency selector shortcodes/widgets

/**2.1.25 - 2022.01.15**/
- Fixed: Deprecated is_ajax in WC6.1
- Fixed: Compatibility issues with WooCommerce Payments plugin
- Fixed: Compatibility issues with Woo Discount Rules plugin by Flycart(prices in discount table not converted in some cases)
- Fixed: Compatibility issues with PPOM for WooCommerce by N-MEDIA - Najeeb Ahmad
- Fixed: Compatibility issues with Polylang
- Added: TranslatePress Multilingual compatibility - Option to setup currencies by languages

/**2.1.24 - 2021.12.14**/
- Updated: Added Trademark name

/**2.1.23 - 2021.12.11**/
- Fixed: Compatibility with Woo Discount Rules: fixed regular price is not used to calculate discount if "Calculate discount from" option(Woo Discount Rules settings) is set to Regular price
- Fixed: Cuex API
- Fixed: Some strings not translatable
- Fixed: Analytics net sales in some cases
- Fixed: Some compatibility issues with WPC Product Bundles for WooCommerce plugin by WPClever
- Fixed: Price format of EUR may have be incorrect due to WooCommerce Payments plugin
- Updated: SCSS
- Updated: Show converted amount of Stripe fee and payout if order currency is different from Stripe paid currency

/**2.1.22 - 2021.10.22**/
- Fixed: Incorrect price shown by calculate_extra_price_ajax_handler ajax(WooCommerce Extra Product Options Pro by ThemeHigh)
- Fixed: Compatibility issue with Yith frequently bought together, OrderBumps: WooCommerce Checkout Offers - WooFunnels
- Fixed: Shipping issue with CDEK + Aramex shipping methods
- Fixed: PayPal Card Processing method(WooCommerce PayPal Payments) enabled in WooCommerce payments settings but not available to select in the plugin settings/Checkout
- Added: Compatibility with Catna – WooCommerce Name Your Price and Offers(convert price + support fixed price for Name your price fields)
- Added: Compatibility with WooCommerce Boost Sales new feature - dynamic price and discount for bundle

/**2.1.21 - 2021.09.20**/
- Fixed: Make converted coupon min/max amount round with respective currency decimals
- Fixed: Error with PHP version before 7.4
- Fixed: Duplicated add-to-cart action if switching currency(by js) after adding a product to cart(submit)
- Updated: [woo_multi_currency_exchange] shortcode can now be used to print out product price

/**2.1.20 - 2021.09.16**/
- Fixed: [woo_multi_currency_exchange] shortcode not working with currencies that have 0 decimals
- Fixed: Incorrect prices shown in product price switcher for variable products when using fixed price

/**2.1.19 - 2021.09.15**/
- Updated: PHP required

/**2.1.18 - 2021.09.02**/
- Fixed: Add ajax nonce check for Bulk fixed price feature
- Fixed: Some issues with WooCommerce PayPal Payments plugin from WooCommerce
- Updated: Make all payment methods selectable for "Checkout currency" and "Currency by Payment method" options in plugin settings/Checkout regardless of the default currency

/**2.1.17 - 2021.08.16**/
- Fixed: Shipping tax conversion issue in some cases
- Fixed: WooCommerce Booking resource not converting
- Fixed: WooCommerce Product addons compatibility issue
- Fixed: Flexible shipping cost not converting
- Fixed: Conversion issue with Smart bundle for WooCommerce plugin
- Fixed: Conversion issue with PPOM for WooCommerce plugin
- Fixed: Incorrect approximate price of cart elements(if enabled) if the current currency is not the default currency
- Fixed: "Use cache plugin" option changes multiple shortcodes on a page to one layout
- Updated: Compatibility with WP 5.8 and WC 5.5
- Added: Auto fill EU countries when using "Get country by currency" button
- Added: Button to fix the issue with orders missing currency rates info
- Added: ETH, LTC, ZWL

/**2.1.16 - 2021.06.19**/
- Fixed: Shipping formula not converting in some cases

/**2.1.15 - 2021.06.18**/
- Fixed: Shipping class costs conversion
- Added: Support fixed price for Shipping class costs

/**2.1.14 - 2021.06.15**/
- Fixed: Division by zero in price filter of some themes

/**2.1.13 - 2021.06.11**/
- Fixed: Compatibility issue with WooCommerce Free Shipping Bar when enabling cache compatibility functions in both plugins
- Fixed: Division by zero when using price filter in some cases
- Updated: Order stats from other currencies are converted to default currency in WooCommerce Analytics(revenue/orders)
- Added: Multilingual support for the title of currencies bar
- Added: Import/Export fixed price
- Added: View report in other currencies

/**2.1.12 - 2021.06.02**/
- Fixed: Currency back to default on Pixel phone
- Fixed: Compatibility issue with Polylang
- Added: Support fixed price for min amount field of Free shipping and cost field of Flat rate shipping
- Added: Change WooCommerce price filter step according to currency
- Added: Shortcode [woo_multi_currency_product_price_switcher]
- Added: Compatibility with Woo Discount Rules from Flycart including Bulk discount(percentage+fixed), Product adjustment(percentage+fixed), Cart adjustment(percentage discount only)

/**2.1.11 - 2021.03.09**/
- Fixed: WooCommerce subscription - renew subscription + fixed price issue
- Fixed: Advanced product fields for WooCommerce pro - Min cart subtotal rule issue
- Fixed: Yith dynamic pricing and discount - Quantity discount rule
- Fixed: Use cache plugin option not working with currency rates table shortcode
- Fixed: Restricted currency issue with update_order_review ajax
- Fixed: Wrong order currency issue with WooCommerce 2Checkout Payment Gateway plugin when sending link for payment
- Fixed: Compatibility issue with Visual product configurator plugin
- Fixed: Change order currency by admin
- Fixed: Wrong price in Facebook feed created by WooCommerce Product Feed Pro plugin from WebAppick
- Fixed: 404 error of translated products with WPML when using one domain per language
- Added: Compatibility with WooCommerce Product Add-ons from WooCommerce
- Added: Option to round-up final price after applying the price format rules
- Updated: Compatibility with WP 5.7 and WC 5.0

/**2.1.10.2 - 2020.11.09**/
- Fixed: Change currency in some cases

/**2.1.10.1 - 2020.10.31**/
- Fixed: session_write_close

/**2.1.10 - 2020.10.28**/
- Fixed: Check update request
- Fixed: Change currency when change billing or shipping address compatible with auto detect currency by country
- Updated: New Approximate position
- Updated: Fixed price for WCFM - WooCommerce Frontend Manager (WC Lovers - 6.5.4)
- Updated: Option compatible with cache plugin via AJAX

/**2.1.9.4 - 2020.06.21**/
- Fixed: Support request class
- Fixed: Link to guide
- Fixed: Show tax with fixed price for variable products
- Updated: Shortcode [woo_multi_currency_layout10]
- Updated: Change currency when change billing or shipping address
- Fixed: Display Approximately options

/**2.1.9.3 - 2020.05.22**/
- Fixed: Compatible with WP Rocket Cache

/**2.1.9.2 - 2020.05.20**/
- Updated: Compatible with Elementor

/**2.1.9.1 - 2020.04.29**/
- Fixed: Show 2 currencies at checkout page

/**2.1.9 - 2020.04.20**/
- Updated: Increase decimal in format exchange rate
- Updated: Switcher bar max height option
- Updated: Add a new shortcode
- Updated: Change color option for shortcode
- Updated: Class support
- Fixed: Switch currency by js for default shortcode
- Added: Disable collapse sidebar on mobile
- Compatible: WooCommerce TM Extra Product Options (themeComplete) - full
- Compatible: Subscription - WooCommerce Subscriptions (RightPress) - full
- Compatible: Discussion on RnB - WooCommerce Booking & Rental Plugin (RedQ Team) - full
- Compatible: WooCommerce PDF Vouchers - WordPress Plugin (wpweb) - full
- Added: New exchange rate API: TransferWise, Cuex.

/**2.1.8.2 - 2020.03.11**/
- Updated: Add compatibility with WooCommerce Name Your Price (Kathy Darling - 2.11.5)

/**2.1.8.1 - 2020.01.10**/
- Fixed: Conditional to run beauty price
- Fixed: WooCommerce Status in WP dashboard

/**2.1.8 - 2020.01.02**/
- Added: Change currency in admin order
- Added: Beauty price feature
- Added: Add filter 'wmc_get_price' at the end of wmc_get_price function
- Added: Currency position in email
- Fixed: Set price bulk actions
- Updated: Add/Remove all currencies
- Updated: Change currency by ajax for switcher at single product page
- Updated: Add compatibility(converted price only, not working with fixed price) with WooCommerce Dynamic Pricing & Discounts plugin by RightPress: Product pricing, Cart discounts, Promotion
- Updated: Add compatibility with WooCommerce reports

/**2.1.7 - 2019.11.26**/
- Added: Add more attribute to shortcode layout5 [woo_multi_currency_layout5 flag_size='0.5' symbol='true']
- Fixed: CSS on Firefox browser
- Fixed: Display currency on orders page

/**2.1.6.9 - 2019.10.17**/
- Fixed: Display Zambia flag
- Fixed: WooCommerce filter price

/**2.1.6.8 - 2019.08.13**/
- Fixed: Ajax change currency

/**2.1.6.7 - 2019.08.08**/
- Fixed: Currency notice in order page

/**2.1.6.6 - 2019.08.08**/
- Fixed: Flag CSS

/**2.1.6.5 - 2019.08.05**/
- Fixed: Compatible with WooCommerce PDF Invoices & Packing Slips
- Updated: Change flag from image tag to CSS sprite
- Fixed: Display ETH flag
- Fixed: Optimize display

/**2.1.6.4 - 2019.05.07**/
- Fixed: Update version

/**2.1.6.3 - 2019.05.06**/
- Fixed: Looping checkout error with theme HandMade
- Fixed: Error with The event calendar
- Updated: Custom flag of countries using the same currency is selected by detected country
- Updated: URL Default API get exchange rate

/**2.1.6.2 - 2019.03.08**/
- Fixed: Warning checkout page
- Fixed: Some text description in backend
- Fixed: Calculate shipping cost when using shortcode [fee],[cost]
- Fixed: Exchange rate widget
- Fixed: Approximately CSS
- Added: Auto get key

/**2.1.6.1 - 2018.12.04**/
- Fixed: Google finance API

/**2.1.6 - 2018.11.30**/
- Fixed: Changed text Auto update key
- Fixed: Check SSL url
- Fixed: Tab JS in backend
- Fixed: Product fixed price rounder with decimal=0 when decimal separator is not '.'
- Fixed: Flag custom
- Removed: Auto update with old plugin v1.x
- Removed: Clear cache of WP Super Cache and WP Fastest Cache
- Added: Notices when use WP Super Cache and WP Fastest Cache

/**2.1.5.3.1 - 2018.10.30**/
- Fixed: Revert old currency when checkout page back

/**2.1.5.3 - 2018.10.25**/
- Fixed: Double price of Currency price switcher
- Fixed: General fields in setting page
- Fixed: Fixed price when product->changes exist
- Fixed: Currencies bar unclickable on some customers' site
- Fixed: Class support
- Fixed: Loop on checkout page
- Fixed: Hide Currency bar if not allow multi currencies checkout
- Updated: Video Preview
- Updated: BTC Flag
- Compatible: Learnpress
- Compatible: WooCommerce Pre-Orders

/**2.1.5.2 - 2018.09.05**/
- Fixed: Currency price switcher

/**2.1.5.1 - 2018.09.04**/
- Fixed: CSS with sidebar default on the left
- Removed: Price currency switcher JS and fixed RTL CSS

/**2.1.5 - 2018.09.04**/
- Added: JS with load page by Ajax
- Added: Currency price switcher in single product page
- Added: IP status in system page
- Added: Show currency on cart page the same checkout page
- Fixed: Shipping cost decimal
- Fixed: CSS, JS version
- Fixed: Active purchased code
- Fixed: Design on mobile
- Fixed: Approximately
- Fixed: Show double currency on shorcodes
- Updated: Yahoo finance API
- Updated: Class check key

/**2.1.4.4 - 2018.06.29**/
- Fixed: Default WooCommerce decimal "." in price
- Fixed: Cookie time
- Fixed: IP statics
- Compatible with WooCommerce Bookings

/**2.1.4.3 - 2018.06.26**/
- Fixed: WooCommerce Multi Currency shortcode CSS

/**2.1.4.2 - 2018.06.25**/
- Added: More time auto update
- Fixed: WooCommerce Multi Currency shortcode

/**2.1.4.1 - 2018.06.25**/
- Fixed: Widget selector

/**2.1.4 - 2018.06.23**/
- Added: Show currency on sidebar, shortcode and widget
- Added: Control payment methods
- Added: Shortcode exchange rates
- Added: More design on sidebar
- Added: Check purchased code
- Added: Clear cache browser
- Changed: Flag images
- Changed: Bulk actions fixed price with product variations
- Fixed: Approximately with tax
- Fixed: RTL auto detect
- Fixed: Fixed price

/**2.1.3 - 2018.05.29**/
- Added: rel="nofollow" in shortcode.
- Added: Compatible with WPML.org in product

/**2.1.2.1 - 2018.05.14**/
- Fixed: Clear cache

/**2.1.2 - 2018.05.14**/
- Fixed: Currency not change on widget Price filter
- Fixed: Cache price when exchange of price.php
- Updated: Class Support
- Added: Shortcode exchange with number
- Compatibled: WooCommerce Wholesale prices

/**2.1.1 - 2018.04.28**/
- Fixed: Fixed price not saving on external/affiliate product
- Fixed: Decimal is 0 with other currencies
- Added: Clear cache with Autoptimize
- Added: Clear cache with WP Fastest Cache
- Added: Clear cache with WP Rocket
- Added: RTL Support

/**2.1.0.2 - 2018.03.23**/
- Fixed: Double price using Google finance API

/**2.1.0.1 - 2018.03.05**/
- Compatible: Printful Integration for WooCommerce plugin
- Fixed: Class support

/**2.1.0 - 2018.02.22**/
- Fixed: Update checkout with one currency
- Fixed: Decimals
- Added: Exchange fee
- Added: Use Session
- Added: Notification to custom email.

/**2.0.9.1.1 - 2018.02.05 **/
- Fixed: Checkout with one currency without default currency

/**2.0.9.1 - 2018.02.05 **/
- Fixed: Tax on Shipping
- Fixed: Checkout with one currency
- Updated: Working only from WooCommerce 3.2.x or higher

/**2.0.9 - 2017.01.17**/
- Optimized: Get data, price
- Fixed: Tab CSS in backend
- Fixed: W3 total cache
- Fixed: Class support
- Fixed: Mini cart JS

/**2.0.8 - 2017.01.06**/
- Fixed: Hide approximately if currency detect is the same current currency
- Fixed: Change currency back that override in checkout page

/**2.0.7 - 2017.01.02**/
- Fixed: Some errors
- Fixed: Currency sidebar CSS

/**2.0.6 - 2017.12.20 **/
- Update: Large size for flag
- Added: Geo API
- Fixed: Compatible WooComerce Subscriptions

/**2.0.5 -  2017.12.07**/
- Removed: Get GEO IP
- Fixed: Currency symbol not change when empty cart
- Fixed: Thousand separator
- Compatible: Visual Product Builder
- Added: Yahoo finance API
- Added: ETH, LTC currency
- Added: Drag and drop currency

/**2.0.4 - 2017.11.30 **/
- Fixed: JS default currency
- Fixed: Remove transient when save settings
- Fixed: Update system page
- Added: Rate in emails
- Added: Checkout with default currency
- Compatible: WooCommerce Product Bundles
- Compatible: Polylang plugin

/**2.0.3 -  2017.11.21 **/
- Fixed: Shipping Compatible WooCommerce 3.x
- Fixed: Custom CSS show
- Fixed: Error in location
- Added: Update old version
- Added: Buld add fixed price for variation
- Added: Page system status
- Added: Conditional tags


/**2.0.2 - 2017.11.14 **/
- Fixed: Text in sidebar

/**2.0.1 - 2017.11.09**/
- Added: Compatible WooCommerce Advanced Free Shipping
- Added: Compatible WooCommerce Table Rate Shipping
- Added: Compatible Visual Composer
- Added: Yith Product Bundles

- Fixed: Style on Bar
- Fixed: Conflict UX Builder of Flatsome Theme

/**2.0.0 - 2017.11.08**/
~ The first released